
#ifndef BL_INTERRUPT_SEND_H_
#define BL_INTERRUPT_SEND_H_

#include "uart_dev.h"
#include "comm_types.h"
#include "chargControlTypes.h"


void setIdleStateGw(void);
void setIdleStateBat(void);
void setGwState(void);
void setBatState(void);

void setSendOverStateGw(void);
void setSendOverStateBat(void);

void send_init(void);
void check_sendState(void);
void uart_interruptSend(device_handle device, uint8_t buff[], uint8_t len);

uint8_t *getInsertData(void);
void  uart_insertDataSend(device_handle device, uint8_t len);

#endif